<div class="login-box" th:fragment="modal-login" xmlns:th="http://www.thymeleaf.org">
    <!--/*@thymesVar id="errorMessage" type="java.lang.String"*/-->

    <!-- ===== HEADER ===== -->
    <div class="modal-header">
        <h5 class="modal-title" id="loginModalLabel" th:text="#{modal.title.login}"></h5>
        <button aria-label="Close" class="close" data-dismiss="modal" type="button">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>

    <!-- ===== BODY ===== -->
    <div class="modal-body">
        <form method="post" name="loginForm" th:action="@{/login}">
            <div class="error-message" th:if="${#httpServletRequest.getParameter('loginError') != null}"
                 th:text="${errorMessage}"></div>

            <!-- username -->
            <div class="input-group form-group">
                <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fas fa-user"></i></span>
                </div>
                <input class="input-brown form-control" id="username" name="username" th:placeholder="#{placeholder.username}"
                       type="text">
            </div>

            <!-- password -->
            <div class="input-group form-group">
                <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fas fa-key"></i></span>
                </div>
                <input class="input-brown form-control" id="password" name="password" th:placeholder="#{placeholder.password}"
                       type="password">
            </div>

            <!-- submit -->
            <div class="d-flex justify-content-center">
                <input class="btn btn-outline-lightbrown" name="submit" th:value="#{button.login}" type="submit"/>
            </div>

            <!-- protection against Cross-Site Request Forgery attacks -->
            <input name="${_csrf.parameterName}" type="hidden" value="${_csrf.token}"/>
        </form>
    </div>

    <!-- ===== FOOTER ===== -->
    <div class="modal-footer flex-column footer-font-size">
        <div>
            <span th:text="#{modal.text.register}"></span>
            <a class="custom-modal-link" href="javascript: showRegisterForm();" id="register-link"
               th:text="#{modal.link.register}"></a>
        </div>
        <div>
            <a class="custom-modal-link" href="javascript: showForgotPasswordForm();"
               th:text="#{modal.link.forgottenpassword}"></a>
        </div>
    </div>
</div>

